package rac.visitor;
import rac.*;

public class IsEmpty implements IRACVisitor {
    public static final IsEmpty Singleton = new IsEmpty();
    private IsEmpty() {}
    
    //TODO
    public Object emptyCase(IRAContainer host, Object... inp) {
        return Boolean.TRUE;
    }
    public Object nonEmptyCase(IRAContainer host, Object... inp){
        return Boolean.FALSE;
    }
}
